# applySessionVersionMigration | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applySessionVersionMigration

- applySessionVersionMigration(data: SessionSaveData ): void

  Converts incoming SessionSavaData that has a version below the current version number listed in `package.json`.

  Note that no transforms act on the `data` if its version matches the current version or if there are no migrations made between its version up to the current version.

  #### Parameters

  - data: SessionSaveData

    `SessionSaveData`

  #### Returns void

  #### See

  SessionVersionConverter

  - Defined in src/system/version_migration/version_converter.ts:48